plain
=====

A simple, minimalistic, an easy-on-the-eyes coding color scheme.

<img src="http://o2js.com/assets/plain.png">

## The Story

For a long time, I was in search for a

* high-contrast, while easy on the eyes;
* minimalistic, while having adequate details;
* specifically designed for those who have considerable astigmatism and [amblyopia](http://en.wikipedia.org/wiki/Amblyopia)&hellip;

color scheme for a long time.

> When **astigmatism** is combined with **ambylopia** (*1% of the general population on average*), no matter what kind of corrective lens you use; when you code for long hours, your eyes lose their ability to focus, and you start to see “halos” around text, accompanied by headaches and eye fatigue.
>
> Of course the ideal solution is to&hellip;
>
> * Use a decent monitor;
> * Not to forget to **BLINK** (that’s really important!);
> * And get away from the darn monitor every hour and **relax** your eyes by focusing objects that are far away (like a mountain, or the horizon)

If you say “Ain’t nobody have time fo dat!”, read on&hellip;

If you have astigmatism, ambylopia, and a few other eye disorders combined, then good old solutions like **[Solarized](http://ethanschoonover.com/solarized)**, will not work so well, since they don’t have enough contrast.

On the other hand, a really high-contrast theme can equally be tiresome to your eye.

In deed, contrast is a double-edged sword:

* The higher the contrast, the more readable the color scheme is,
* And the lower the contrast the less tiring the color scheme will be to the eyes.

And the perfect sweet spot depends from person to person; and also it depends on the overall lighting conditions of the coding environment.

**Plain** color scheme has high enough contrast to make is pleasing to the eye; and low enough contrast to make it less tiresome. And since it is a dark-on-light scheme, it’s a really nice fit for those who have astigmatism.

Currently I have only have a **vim** GUI scheme (*because I use **vim** all the time, and it is the best editor in the known universe*).

Feel free to fork it, add variations, and/or support for your favorite development environment.
